clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
clang::tidy::modernize::StmtAncestorASTVisitor Class Reference

Class used build the reverse AST properties needed to detect name conflicts and free variables. More...

`#include <LoopConvertUtils.h>`

Inheritance diagram for clang::tidy::modernize::StmtAncestorASTVisitor:
[legend]
Collaboration diagram for clang::tidy::modernize::StmtAncestorASTVisitor:
[legend]

## Public Member Functions
| StmtAncestorASTVisitor ()
void | gatherAncestors (const clang::TranslationUnitDecl *T)
| Run the analysis on the TranslationUnitDecl. More...
const StmtParentMap & | getStmtToParentStmtMap ()
| Accessor for StmtAncestors. More...
const DeclParentMap & | getDeclToParentStmtMap ()
| Accessor for DeclParents. More...

## Friends
class | clang::RecursiveASTVisitor< StmtAncestorASTVisitor >

## Detailed Description

Class used build the reverse AST properties needed to detect name conflicts and free variables.

Definition at line 47 of file LoopConvertUtils.h.

## Constructor & Destructor Documentation

clang::tidy::modernize::StmtAncestorASTVisitor::StmtAncestorASTVisitor | ( |  | ) |
| inline

Definition at line 50 of file LoopConvertUtils.h.

## Member Function Documentation

void clang::tidy::modernize::StmtAncestorASTVisitor::gatherAncestors | ( | const clang::TranslationUnitDecl * | T | ) |
| inline

Run the analysis on the TranslationUnitDecl.

In case we're running this analysis multiple times, don't repeat the work.

Definition at line 55 of file LoopConvertUtils.h.

const DeclParentMap& clang::tidy::modernize::StmtAncestorASTVisitor::getDeclToParentStmtMap | ( |  | ) |
| inline

Accessor for DeclParents.

Definition at line 64 of file LoopConvertUtils.h.

const StmtParentMap& clang::tidy::modernize::StmtAncestorASTVisitor::getStmtToParentStmtMap | ( |  | ) |
| inline

Accessor for StmtAncestors.

Definition at line 61 of file LoopConvertUtils.h.

## Friends And Related Function Documentation

friend class clang::RecursiveASTVisitor< StmtAncestorASTVisitor >
| friend

Definition at line 66 of file LoopConvertUtils.h.

The documentation for this class was generated from the following files:

- LoopConvertUtils.h
- LoopConvertUtils.cpp